/******************************************************************************

         Copyright (c) 2020 Intel Corporation

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

*******************************************************************************/

#ifndef _DSL_MGMT_MANAGER_TESTCLIENT_INTERFACE_H_
#define _DSL_MGMT_MANAGER_TESTCLIENT_INTERFACE_H_

/**
   Runs core functionality of DSL Manager TestClient.

   \param pUbusSocket       Ubus socket path in system [I]
   \param pUbusObject       Ubus object to be watched [I]

   \return  0 on success,
            -1 on any error including not supported Ubus framework.
*/
int DSL_MNGR_TestClient(
    const char *pUbusSocket,
    const char *pUbusObject
);

#endif /* _DSL_MGMT_MANAGER_TESTCLIENT_INTERFACE_H_ */
