/******************************************************************************

         Copyright (c) 2020 Intel Corporation

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

*******************************************************************************/

#include "dsl_mgmt_manager_testclient_interface.h"

int main(int argc, char **argv)
{
   const char *pDefaultUbusObject = "dsl.bonding_group.0";
   const char *pUbusObject;

   if (argc > 1)
   {
      pUbusObject = argv[1];
   }
   else
   {
      pUbusObject = pDefaultUbusObject;
   }

   return DSL_MNGR_TestClient("/var/run/ubus/ubus.sock", pUbusObject);
}
